Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Modules Perl Discussion :

Quels sont les modules difficile à installer ?


Sujet :

Modules Perl

  1. #1
    Responsable Perl et Outils

    Quels sont les modules difficile à installer ?
    Bonjour,

    Il serait intéressant de lister les modules qui vous ont donnés ou vous donnent toujours du fil à retorde à installer. Si possible, il faudrait préciser les difficultés rencontrées : dépendances, compatibilité, OS, version du module et Perl.
    Cela permettrait de répertorier au même endroit ces modules casse-tête, de trouver une solution dans le but d'améliorer la FAQ, les tutoriels ou en créer un nouveau.

    N.B. Précisez votre OS, votre version de Perl, la version du module que vous cherchez à installer. Vous pouvez nous montrer vos messages d'erreur, captures d'écran...

    Juste à titre d'exemple de modules, je pense que les modules DBD::Oracle, PAR et Padre sont assez difficile à installer.

    Voilà, à vos clavier !

  2. #2
    Expert confirmé
    De tête, j'ai eu des difficultés à installer BioPerl... mais je ne sais préciser ni l'environnement (cygwin et/ou Linux/Ubuntu), ni les raisons.
    Plus j'apprends, et plus je mesure mon ignorance (philou67430)
    Toute technologie suffisamment avancée est indiscernable d'un script Perl (Llama book)
    Partagez vos problèmes pour que l'on partage ensemble nos solutions : je ne réponds pas aux questions techniques par message privé
    Si c'est utile, say

  3. #3
    Nouveau membre du Club
    Pour ma part c'est le module DBD::ORACLE qui m'a donné du fil à retordre.

    Sous windows XP avec une version du client Oracle 8.1, perl 5.10 et la version 1.28 du module DBD::ORACLE (récupéré via PPM) j'avais le message suivant à chaque tentatives de connexion :



    Grace au forum j'ai été redirigé vers le tableau suivant :

    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
      +---------------------+--------------------------------------------+
      |                     |             Oracle Version                 | 
      +---------------------+----+-------------+---------+------+--------+
      | DBD::Oracle Version | <8 | 8.0.3~8.0.6 | 8iR1~R2 | 8iR3 | 9i~11g |
      +---------------------+----+-------------+---------+------+--------+
      |      0.1~16         | Y  |      Y      |    Y    |  Y   |    Y   |
      +---------------------+----+-------------+---------+------+--------+
      |      1.17           | Y  |      Y      |    Y    |  Y   |    Y   |  
      +---------------------+----+-------------+---------+------+--------+
      |      1.18           | N  |      N      |    N    |  Y   |    Y   |
      +---------------------+----+-------------+---------+------+--------+
      |      1.19           | N  |      N      |    N    |  Y   |    Y   |
      +---------------------+----+-------------+---------+------+--------+
      |      1.20           | N  |      N      |    N    |  Y   |    Y   |
      +---------------------+----+-------------+---------+------+--------+
      |      1.21           | N  |      N      |    N    |  Y   |    Y   |
      +---------------------+----+-------------+---------+------+--------+
      |      1.22           | N  |      N      |    N    |  N   |    Y   |
      +---------------------+----+-------------+---------+------+--------+


    Ce qui m'a permis de voir que je n'avais pas installé la bonne version du module. J'ai donc récupéré et installé la version 1.17 se qui à complètement résolu mon problème. (Encore merci à tous).

  4. #4
    Expert confirmé
    J'ai des difficultés à installer XML::Twig sous cygwin (erreurs de transcodage latin1 lors des tests).
    De même, j'ai des difficultés à installer Image::Imlib2 sous cygwin (problème d'autoload XS), suite à installation de imlib2 par recompilation, vu que le package n'est pas dispo sur cygwin (ni sur cygwinports).
    Plus j'apprends, et plus je mesure mon ignorance (philou67430)
    Toute technologie suffisamment avancée est indiscernable d'un script Perl (Llama book)
    Partagez vos problèmes pour que l'on partage ensemble nos solutions : je ne réponds pas aux questions techniques par message privé
    Si c'est utile, say

###raw>template_hook.ano_emploi###